Bug 131024 - does not reference an appropriate xml.dcl when validating XML (C-c C-v)
does not reference an appropriate xml.dcl when validating XML (C-c C-v)
Product: Fedora
Classification: Fedora
Component: psgml (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-08-26 14:40 EDT by Karsten Wade
Modified: 2013-04-30 19:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 01:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2004-08-26 14:40:01 EDT
Description of problem:

In XML or SGML mode, after parsing a DTD with C-c C-p, if you start
C-c C-v to validate, the mini-buffer shows the command to be used:

Validate command: nsgmls -wxml -s  simple-article.xml

Note that following the '-s' is two white spaces and the target
xml.dcl file (such as /usr/share/sgml/xml.dcl) is not put in.  This
occurs in FC1, FC2, FC3test1 and RHEL3.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open an XML or SGML file, set mode (if needed) with M-x xml-mode or
2. Parse the DTD with C-c C-p
3. Start to validate with C-c C-v; if you accept the command as
offered in the mini-buffer, >200 errors occur.
Actual results:

Fails to put in appropriate xml.dcl and path.

Expected results:

/usr/share/sgml/xml.dcl should be put after the -s

Additional info:

For Fedora docs project, we need a toolchain that works well.  One of
the process steps we have for authors and editors is to validate the
XML; we can document the missing component, but the behavior
definitely seemed buggy.
Comment 1 Tim Waugh 2004-08-31 04:57:58 EDT
You can set the sgml-declaration variable to the right thing as a
work-around I think.
Comment 2 Matthew Miller 2005-04-26 11:56:58 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Adam Tkac 2006-10-27 08:42:42 EDT
please, could you reproduce this bug with latest version of psgml??
Comment 4 Karsten Wade 2006-10-27 11:41:22 EDT
Trying this on an FC5 system (emacs-21.4-14, psgml-1.2.5-4.1), and this is what
I notice:

* The validate command still has the extra whitespace; not sure anymore if this
is still a problem:

Validate command: nsgmls -s  Colophon.xml

* Validating gets many errors, as per before

* Putting /usr/share/sgml/xml.dcl after -s still gets errors, but this may be

FWIW, we are now using xmllint to validate, and we have the validation built
into the Makefile, so in terms of Fedora Documentation this bug is no longer a
problem.  HTH.

Note You need to log in before you can comment on or make changes to this bug.